# Uses of Enum Class
org.apache.sysds.lops.Lop.SimpleInstType

Packages that use Lop.SimpleInstType
Package
Description
org.apache.sysds.lops

## Uses of Lop.SimpleInstType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Lop.SimpleInstType
Modifier and Type
Method
Description
`Lop.SimpleInstType`
BinaryScalar.`getSimpleInstructionType()`
`Lop.SimpleInstType`
Lop.`getSimpleInstructionType()`
Method should be overridden if needed
`static Lop.SimpleInstType`
Lop.SimpleInstType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Lop.SimpleInstType[]`
Lop.SimpleInstType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.